%define url_ver %(echo %{version}|cut -d. -f1,2)
%define name   mate-file-manager-open-terminal
%define oname  caja-open-terminal

Summary:        Caja extension for an open terminal shortcut
Name:           %{name}
Version:        1.6.1
Release:        %mkrel 1
URL:            http://mate-desktop.org
Source0:        http://pub.mate-desktop.org/releases/%{url_ver}/%{name}-%{version}.tar.xz
License:        GPLv2+
Group:          Graphical desktop/MATE

BuildRequires:  pkgconfig(libcaja-extension)
BuildRequires:  pkgconfig(mate-desktop-2.0)
BuildRequires:  intltool
BuildRequires:  pkgconfig(mate-doc-utils)
BuildRequires:  pkgconfig(gsettings-desktop-schemas)

Requires:       gsettings-desktop-schemas
Requires:	    mate-terminal
Provides:       %{oname} = %{version}-%{release}

%description
This is a proof-of-concept Caja extension which allows you to open
a terminal in arbitrary local folders.

%prep
%setup -q

%build
%configure2_5x \
        --disable-static \
        --disable-schemas-compile
%make

%install
%makeinstall_std

#we don't want these
rm -f %{buildroot}%{_libdir}/caja/extensions-2.0/*.la

%find_lang %{oname}

%files -f %{oname}.lang
%doc AUTHORS ChangeLog README COPYING
%{_libdir}/caja/extensions-2.0/libcaja-open-terminal.so
%{_datadir}/MateConf/gsettings/caja-open-terminal.convert
%{_datadir}/glib-2.0/schemas/org.mate.caja-open-terminal.gschema.xml



%changelog
* Tue Feb 04 2014 tarakbumba <tarakbumba> 1.6.1-1.mga4
+ Revision: 582667
-Update to bugfix version: 1.6.1
    -fix automake-1.13 deprecations
    -Remove unused distro folder
    -Fix crash opening terminal in remote locations
-Require mate-terminal instead of suggesting

* Sat Oct 19 2013 umeabot <umeabot> 1.6.0-3.mga4
+ Revision: 531101
- Mageia 4 Mass Rebuild

* Thu Aug 01 2013 fwang <fwang> 1.6.0-2.mga4
+ Revision: 461975
- suggests mate-terminal as it is the fallback terminal for this plugin

* Fri Jun 21 2013 tarakbumba <tarakbumba> 1.6.0-1.mga4
+ Revision: 445497
- imported package mate-file-manager-open-terminal

